Subject: [rmcat] heads-up on plan to break Internet

From: Matthew Kaufman <[email-masked]>
Date: Tue, 30 Apr 2019 14:30:31 -0700

Every congestion controller has loss-based feedback, whether it is the
primary mechanism (e.g., TCP Reno) or a backup that enforces a maximum rate
as loss increases above threshold (e.g., Google's algorithm that ignores
loss rates between 2 and 10 percent but cuts aggressively above 10% loss).

Sadly, there are more and more video conferencing system evaluations taking
place with simulated networks that are incompatible with this feedback
mechanism... specifically, I'm seeing customers running multi-vendor tests
over simulated impaired networks with fixed packet loss rates (irrespective
of utilized bandwidth) of 10%, 15%, and even higher.

In order to "win" these trials, it seems prudent to simply ignore loss
altogether and/or detect fixed consistent loss as "detected benchmarking"
and disable the loss feedback in that case.

So, this is just a heads-up that my implementations are heading that way,
and others are headed that way too (if they haven't already).

Feedback welcome.

Matthew Kaufman